Package groovy.util

# Class ObservableMap.PropertyEvent

java.lang.Object
java.util.EventObject
java.beans.PropertyChangeEvent
groovy.util.ObservableMap.PropertyEvent

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `ObservableMap.MultiPropertyEvent`, `ObservableMap.PropertyAddedEvent`, `ObservableMap.PropertyClearedEvent`, `ObservableMap.PropertyRemovedEvent`, `ObservableMap.PropertyUpdatedEvent`

Enclosing class:
  ObservableMap

public abstract static class ObservableMap.PropertyEvent extends PropertyChangeEvent
Base event type for observable map changes.

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class java.util.EventObject

  `source`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PropertyEvent(Object source, String propertyName, Object oldValue, Object newValue, ObservableMap.ChangeType type)`
  Creates a property event.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ObservableMap.ChangeType`
  `getChangeType()`
  Returns the specialized event type.
  `int`
  `getType()`
  Returns the specialized event type ordinal.
  `String`
  `getTypeAsString()`
  Returns the specialized event type name.

  ### Methods inherited from class java.beans.PropertyChangeEvent

  `getNewValue, getOldValue, getPropagationId, getPropertyName, setPropagationId, toString`

  ### Methods inherited from class java.util.EventObject

  `getSource`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PropertyEvent

    public PropertyEvent(Object source, String propertyName, Object oldValue, Object newValue, ObservableMap.ChangeType type)
    Creates a property event.
    Parameters:
      `source` - the event source
      `propertyName` - the affected property name
      `oldValue` - the previous value payload
      `newValue` - the new value payload
      `type` - the specialized change type

- ## Method Details

  - ### getType

    public int getType()
    Returns the specialized event type ordinal.
    Returns:
      the change type ordinal

  - ### getChangeType

    public ObservableMap.ChangeType getChangeType()
    Returns the specialized event type.
    Returns:
      the change type

  - ### getTypeAsString

    public String getTypeAsString()
    Returns the specialized event type name.
    Returns:
      the change type name